{ pkgs, config, ... }:
{
  sops.secrets."nats_nkey" = { };
  systemd.services."alerttonotify" = {
    enable = true;
    wants = [ "network-online.target" ];
    after = [
      "network-online.target"
      "sops-nix.service"
    ];
    wantedBy = [ "multi-user.target" ];

    environment = {
      NATS_URL = "nats://nats1.home.2rjus.net:4222";
      NATS_NKEY_FILE = "${config.sops.secrets.nats_nkey.path}";
    };

    serviceConfig = {
      Type = "exec";
      ExecStart = "${pkgs.alerttonotify}/bin/alerttonotify";
    };
  };
}
